Sampling and Simulation
Create data sample
Create sample data for use in simulation
POST
/
pipeline
/
{container_id}
/
source
/
{source_id}
/
sample
Create data sample
curl --request POST \
--url https://api.mezmo.com/v3/pipeline/{container_id}/source/{source_id}/sample \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
"<unknown>"
],
"title": "<string>",
"version": "v2",
"container_type": "pipeline"
}
'import requests
url = "https://api.mezmo.com/v3/pipeline/{container_id}/source/{source_id}/sample"
payload = {
"data": ["<unknown>"],
"title": "<string>",
"version": "v2",
"container_type": "pipeline"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: ['<unknown>'],
title: '<string>',
version: 'v2',
container_type: 'pipeline'
})
};
fetch('https://api.mezmo.com/v3/pipeline/{container_id}/source/{source_id}/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Enter your token in the format: Token mytokengoeshere
Path Parameters
The ID of the container entity, either a Pipeline or Processor Group
The ID of the source to retrieve samples for
Body
application/json
Required array length:
1 - 100 elementsRequired string length:
1 - 512Pattern:
^[^<>"]+$Available options:
v2 Discriminator to identify the type of container referenced by the container_id
Available options:
pipeline, transform_group Response
200
Default Response
⌘I
Create data sample

